matmult {base} | R Documentation

## Matrix Multiplication

### Description

Multiplies two matrices, if they are conformable. If one argument is a vector, it will be coerced to a either a row or column matrix to make the two arguments conformable. If both are vectors it will return the inner product.

### Usage

    a%*%b

### Value

The matrix product. Use `drop` to get rid of

### See Also

`matrix`, `Arithmetic`, `diag`.

### Examples

    x <- 1:4
    x%*%x # scalar ("inner") product (1 x 1 matrix)
    drop(.Last.value)# as scalar

    y <- diag(x)
    z <- matrix(1:12,ncol=3,nrow=4)
    y%*%z
    y%*%x
    x%*%z

[Package Contents]